dpkg-genbuildinfo(1)

BEZEICHNUNG
dpkg-genbuildinfo - Debian-.buildinfo-Dateien erstellen

ÜBERSICHT
dpkg-genbuildinfo [Optionen …]

BESCHREIBUNG
dpkg-genbuildinfo liest Informationen aus einem entpackten und gebauten Debian-Quellcodebaum und aus den darin erzeugten Dateien und erzeugt eine Debian-Steuerdatei, die die Bauumgebung und Bauartefakte beschreibt (Datei .buildinfo).

Dieses Programms wurde in Dpkg 1.18.11 hinzugefügt.

OPTIONEN

--build=Typ
    Gibt den Bau-Typ aus einer Kommata-getrennten Liste von Komponenten an.

    Die erlaubten Werte sind:

    any Erstellt Bauinformationen, die nicht qualifizierte Bauabhängigkeiten (Build-Depends) und architekturabhängige spezifische Bauabhängigkeiten (Build-Depends-Arch) enthalten.

    all Erstellt Bauinformationen, die nicht qualifizierte Bauabhängigkeiten (Build-Depends) und architekturunabhängige Bauabhängigkeiten (Build-Depends-Indep) enthalten.

    source
        Tatsächlich ignoriert; erstellt Bauinformationen mit nur den nicht qualifizierten Abhängigkeiten (Build-Depends).

    binary
        Erstellt Bauinformationen mit allen drei Arten von Bauabhängigkeiten. Dies ist ein Alias für any,all.

    full
        Erstellt Bauinformationen mit allen drei Arten von Bauabhängigkeiten. Dies ist ein Alias für any,all,source und identisch zum Standardfall, wenn keine Bauoptionen festgelegt werden.

-cSteuerdatei
    Gibt die Haupt-control-Datei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/control.

-lChangelog-Datei
    Gibt die Changelog-Datei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/changelog.

-fDateienlist-Datei
    Legt fest, wo die Liste der durch den Bau erstellten Dateien ist, statt debian/files zu verwenden.

-FChangelog-Format
    Spezifiziert das Format des Changelogs. Lesen Sie dpkg-parsechangelog(1) für Informationen über alternative Formate.

-O[Dateiname]
    Gibt die Buildinfo-Datei zur Standardausgabe (oder Dateiname, falls angegeben) aus, statt nach Verz/Quellname_Binärversion_Arch.buildinfo (wobei Verz standardmäßig .. oder Hochladedateiverzeichnis, falls -u verwandt wurde, ist).

-uHochladedateiverzeichnis
    Sucht nach Dateien, die hochgeladen werden sollen, in Hochladedateiverzeichnis statt in .. (dpkg-genbuildinfo muss diese Dateien finden, so dass es ihre Größen und Prüfsummen in die .buildinfo-Datei aufnehmen kann.

--always-include-kernel
    Standardmäßig wird das Feld Build-Kernel-Version nicht rausgeschrieben.

    Legen Sie diese Option (seit Dpkg 1.19.0) fest, damit beim Erstellen der .buildinfo immer das Feld Build-Kernel-Version geschrieben wird.

--always-include-path
    Standardmäßig wird das Feld Build-Path nur geschrieben, falls das aktuelle Verzeichnis mit einem erlaubten Muster übereinstimmt.

    Unter Debian und abgeleiteten Distributionen passt das Muster auf /build/ am Anfang des Pfadnamens.

    Legen Sie diese Option fest, damit beim Erstellen der .buildinfo immer das Feld Build-Path geschrieben wird.

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Der Standardort ist /var/lib/dpkg.

-q  dpkg-genbuildinfo könnte informative Meldungen auf die Standard-Fehlerausgabe schreiben. -q unterdrückt diese Meldungen.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

UMGEBUNG

DEB_BUILD_OPTIONS
    Diese Variable kann dazu verwandt werden, verschiedene Funktionalitäten, die die in der .buildinfo-Datei enthaltenen Informationen betreffen, über die Option buildinfo (seit Dpkg 1.18.19) ein- oder auszuschalten. Diese Option enthält eine Kommata-getrennte Liste von Funktionalitäten, denen die Modifikatoren ‚+’ oder ‚-’ vorangestellt sind, um anzuzeigen, ob sie ein- oder ausgeschaltet werden soll. Die besondere Funktionalität „all“ kann zum Ein- bzw. Ausschalten aller anderen Funktionalitäten verwandt werden. Die Funktionalität „path“ steuert, ob das Feld Build-Path bedingungslos aufgenommen werden soll.

DEB_BUILD_ARCH
    Setzt die Host-Architektur. Dies betrifft den Wert des Feldes Build-Architecture und die Überprüfung auf den Cross-Kompliierungs-Modus.

DEB_HOST_ARCH
    Setzt die Host-Architektur. Dies betrifft den für die Datei .buildinfo verwandten Dateinamen und die Überprüfung auf den Cross-Kompliierungs-Modus.

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

DATEIEN

debian/files
    Die Liste der erstellten Dateien. dpkg-genbuildinfo liest hier die Daten, wenn es die Datei .buildinfo erstellt.

SIEHE AUCH
deb-buildinfo(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2025 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.